## mkdocstrings-python-handlers 1.3.0

=== Makefile ===
.DEFAULT_GOAL := help
SHELL := bash
DUTY := $(if $(VIRTUAL_ENV),,pdm run) duty
export PDM_MULTIRUN_VERSIONS ?= 3.8 3.9 3.10 3.11

args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
check_quality_args = files
docs_args = host port
release_args = version
test_args = match

BASIC_DUTIES = \
	changelog \
	check-api \
	check-dependencies \
	clean \
	coverage \
	docs \
	docs-deploy \
	format \
	release

QUALITY_DUTIES = \
	check-quality \
	check-docs \
	check-types \
	test

.PHONY: help
help:
	@$(DUTY) --list

.PHONY: lock
lock:
	@pdm lock -G:all

.PHONY: setup
setup:
	@bash scripts/setup.sh

.PHONY: check
check:
	@pdm multirun duty check-quality check-types check-docs
	@$(DUTY) check-dependencies check-api

.PHONY: $(BASIC_DUTIES)
$(BASIC_DUTIES):
	@$(DUTY) $@ $(call args,$@)

.PHONY: $(QUALITY_DUTIES)
$(QUALITY_DUTIES):
	@pdm multirun duty $@ $(call args,$@)

## mkdocstrings-python-handlers 0.7.0

=== debian/changelog ===
mkdocstrings-python-handlers (0.7.0-1) unstable; urgency=medium

  * [0629102] New upstream version 0.7.0
  * [cc4f950] Rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 30 May 2022 00:47:45 +0200

mkdocstrings-python-handlers (0.6.6-1) unstable; urgency=medium

  * [8bc97d3] New upstream version 0.6.6
  * [0257e29] First and basic Debianization
    (Closes: #1011194)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 May 2022 06:09:39 +0200

=== debian/control ===
Source: mkdocstrings-python-handlers
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 pybuild-plugin-pyproject,
 python3-poetry,
 python3-pytest,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers
Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers.git
Homepage: https://github.com/mkdocstrings/python

Package: mkdocstrings-python-handlers
Architecture: all
Depends:
 mkdocstrings (>= 0.19),
 ${misc:Depends},
 ${python3:Depends},
Description: Python handler for mkdocstrings
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.
 .
 This package contains a Python handler required by various helping libraries
 around mkdocstrings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=mkdocstrings_handlers
export PYBUILD_SYSTEM=pyproject
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/mkdocstrings_handlers/py.typed
# Disable the internal test suite, this package requires mkdocstrings >= 0.18 for
# the internal tests which needs to be prepared first.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	# Adjust version information
	sed -i 's/@@DEB_VERSION_UPSTREAM@@/$(DEB_VERSION_UPSTREAM)/g' pyproject.toml
	dh_auto_build

## mkdocstrings-python-handlers 0.7.1

=== debian/changelog ===
mkdocstrings-python-handlers (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * [11e30b0] Drop patch of switching from pdm-pep517 to poetry.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Aug 2022 14:01:17 -0400

mkdocstrings-python-handlers (0.7.1-2) unstable; urgency=medium

  * [cb936a4] d/{t,}/control: Add versioned dep on pygments

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Jul 2022 12:44:09 +0200

mkdocstrings-python-handlers (0.7.1-1) unstable; urgency=medium

  * [954ef7e] New upstream version 0.7.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 15 Jun 2022 23:04:32 +0200

mkdocstrings-python-handlers (0.7.0-2) unstable; urgency=medium

  * [d6a5c74] d/control: Conflicts on mkdocstrings-python-legacy
  * [51b30d3] d/rules: Remove PYBUILD_AFTER_INSTALL variable
  * [b2f82fb] d/control: Add more B-D packages
  * [f2ba0c3] d/rules: Turn on the internal testing
  * [8bfe9d4] autopkgtest: Adding first working setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 02 Jun 2022 21:40:34 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,13 @@
  python3-all,
 Build-Depends-Indep:
  dh-python,
+ mkdocs,
+ mkdocs-material,
+ mkdocstrings (>> 0.19.0-1),
  pybuild-plugin-pyproject,
- python3-poetry,
+ python3-griffe,
+ python3-pdm-pep517,
+ python3-pygments (>> 2.12),
  python3-pytest,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
@@ -20,6 +25,8 @@
 
 Package: mkdocstrings-python-handlers
 Architecture: all
+Conflicts:
+ mkdocstrings-python-legacy,
 Depends:
  mkdocstrings (>= 0.19),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=mkdocstrings_handlers
export PYBUILD_SYSTEM=pyproject
export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml
export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)


%:
	dh $@ --with python3 --buildsystem=pybuild

## mkdocstrings-python-handlers 0.8.0

=== debian/changelog ===
mkdocstrings-python-handlers (0.8.0-1) unstable; urgency=medium

  * [835f261] New upstream version 0.8.0
  * [443844d] d/control: Increase B-D version for python3-griffe
  * [a117b1b] d/rules: Remove unneeded licenses folder after install

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 15 Nov 2022 10:48:04 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  mkdocs-material,
  mkdocstrings (>> 0.19.0-1),
  pybuild-plugin-pyproject,
- python3-griffe,
+ python3-griffe (>> 0.24.0),
  python3-pdm-pep517,
  python3-pygments (>> 2.12),
  python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 export PYBUILD_SYSTEM=pyproject
 export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml
+export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/mkdocstrings*.dist-info/licenses
 export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs,
 mkdocs-material,
 mkdocstrings (>> 0.19.0-1),
 python3-all,
 python3-griffe,
 python3-pygments (>> 2.12),
 python3-pytest,
 python3-sphinx,
 @,
Restrictions: allow-stderr

## mkdocstrings-python-handlers 0.8.3

=== debian/changelog ===
mkdocstrings-python-handlers (0.8.3-1) unstable; urgency=medium

  * [afde1de] New upstream version 0.8.3
  * [63db3f0] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [6ae2a7c] d/control: Add BuildProfileSpecs, remove not needed B-D
    (Closes: #1027621)
  * [a288447] d/rules: Drop --with option from default target
  * [d3498a0] autopkgtest: Remove not needed packages
    The removed packages must pulled in by the dependency chain, if not then
    something is wrong.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 05 Jan 2023 22:47:41 +0100

mkdocstrings-python-handlers (0.8.2-1) unstable; urgency=medium

  * [08e8cc9] New upstream version 0.8.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Nov 2022 09:51:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,17 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
 Build-Depends-Indep:
- dh-python,
- mkdocs,
- mkdocs-material,
- mkdocstrings (>> 0.19.0-1),
+ mkdocs-material <!nocheck>,
+ mkdocstrings (>> 0.19.0-1) <!nocheck>,
  pybuild-plugin-pyproject,
- python3-griffe (>> 0.24.0),
+ python3-griffe (>> 0.24.0) <!nocheck>,
  python3-pdm-pep517,
- python3-pygments (>> 2.12),
- python3-pytest,
+ python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers.git
 Homepage: https://github.com/mkdocstrings/python

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
# watch file for mkdocstrings-python-handlers

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mkdocstrings/python.git \
      refs/tags/@ANY_VERSION@

## mkdocstrings-python-handlers 1.1.2

=== debian/changelog ===
mkdocstrings-python-handlers (1.1.2-2) unstable; urgency=medium

  * [61f0bc5] d/rules: Use correct variable PDM_BUILD_SCM_VERSION

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Jun 2023 17:11:32 +0200

mkdocstrings-python-handlers (1.1.2-1) unstable; urgency=medium

  * [ad989cd] New upstream version 1.1.2
  * [6383a71] Adding a patch from patch queue branch
    Added patch:
    Reprodcibility-Sort-objects-before-interate-over.patch
    (Closes: #1037216)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 13 Jun 2023 22:21:10 +0200

mkdocstrings-python-handlers (1.1.0-1) experimental; urgency=medium

  * [fce547c] New upstream version 1.1.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Jun 2023 10:12:29 +0200

mkdocstrings-python-handlers (1.0.0-1) experimental; urgency=medium

  * [bf978f3] New upstream version 1.0.0
  * [7403cf7] d/control: Switch python3-pdm-pep517 to -backend

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 May 2023 09:22:15 +0200

mkdocstrings-python-handlers (0.9.0-1) experimental; urgency=medium

  * [59d1558] New upstream version 0.9.0
  * [1352c31] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 27 Apr 2023 21:00:41 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  mkdocstrings (>> 0.19.0-1) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-griffe (>> 0.24.0) <!nocheck>,
- python3-pdm-pep517,
+ python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

## mkdocstrings-python-handlers 1.3.0

=== debian/changelog ===
mkdocstrings-python-handlers (1.3.0-1) unstable; urgency=medium

  * [87f7523] New upstream version 1.3.0
  * [836e9fe] d/control: Adjust version B-D on python3-griffe

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 12 Aug 2023 07:14:01 +0200

mkdocstrings-python-handlers (1.2.1-1) unstable; urgency=medium

  * [7ed114c] New upstream version 1.2.1
  * [99a1306] Drop patch queue

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jul 2023 09:59:08 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  mkdocs-material <!nocheck>,
  mkdocstrings (>> 0.19.0-1) <!nocheck>,
  pybuild-plugin-pyproject,
- python3-griffe (>> 0.24.0) <!nocheck>,
+ python3-griffe (>> 0.30) <!nocheck>,
+ python3-griffe (<< 0.33) <!nocheck>,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/mkdocstrings*.dist-info/licenses
-export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
+export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
 
 
 %:

## mkdocstrings-python-handlers 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .DEFAULT_GOAL := help
 SHELL := bash
 DUTY := $(if $(VIRTUAL_ENV),,pdm run) duty
-export PDM_MULTIRUN_VERSIONS ?= 3.8 3.9 3.10 3.11
+export PDM_MULTIRUN_VERSIONS ?= 3.8 3.9 3.10 3.11 3.12
 
 args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
 check_quality_args = files
@@ -18,7 +18,8 @@
 	docs \
 	docs-deploy \
 	format \
-	release
+	release \
+	vscode
 
 QUALITY_DUTIES = \
 	check-quality \

=== debian/changelog ===
mkdocstrings-python-handlers (1.8.0-1) unstable; urgency=medium

  * [fd301ff] New upstream version 1.8.0
    (Closes: 1058340)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 Jan 2024 20:18:31 +0100

mkdocstrings-python-handlers (1.7.5-1) unstable; urgency=medium

  * [c9ab8f2] New upstream version 1.7.5
  * [05db7c4] d/control: Adjust version B-D on python3-griffe

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 23 Nov 2023 12:34:40 +0000

mkdocstrings-python-handlers (1.7.3-1) unstable; urgency=medium

  * [191913a] New upstream version 1.7.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 29 Oct 2023 09:15:47 +0100

mkdocstrings-python-handlers (1.7.1-1) unstable; urgency=medium

  * [ad321d1] New upstream version 1.7.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 04 Oct 2023 16:20:52 +0200

mkdocstrings-python-handlers (1.6.3-1) unstable; urgency=medium

  * [6dc40cd] New upstream version 1.6.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 14 Sep 2023 16:42:33 +0530

mkdocstrings-python-handlers (1.6.2-1) unstable; urgency=medium

  * [72105a5] New upstream version 1.6.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Sep 2023 11:57:10 +0530

mkdocstrings-python-handlers (1.6.0-1) unstable; urgency=medium

  * [898d5bf] New upstream version 1.6.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 29 Aug 2023 19:15:01 +0530

mkdocstrings-python-handlers (1.5.2-1) unstable; urgency=medium

  * [4d19d36] d/watch: Enforce usage of *.tar.gz tarball
  * [a81b1e7] New upstream version 1.5.2
  * [539cc13] d/control: Adjust version B-D on python3-griffe

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Aug 2023 22:27:14 +0530

mkdocstrings-python-handlers (1.5.0-1) unstable; urgency=medium

  * [b6c25b8] New upstream version 1.5.0
  * [07925c8] d/rules: Add target override_dh_clean
    (Closes: #1048332)
  * [f955dc0] d/control: Bump version B-D on python3-griffe

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 Aug 2023 07:18:04 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
  mkdocs-material <!nocheck>,
  mkdocstrings (>> 0.19.0-1) <!nocheck>,
  pybuild-plugin-pyproject,
- python3-griffe (>> 0.30) <!nocheck>,
- python3-griffe (<< 0.33) <!nocheck>,
+ python3-griffe (>> 0.38) <!nocheck>,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .pdm-build

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs-material,
 mkdocstrings (>> 0.19.0-1),
 python3-all,
 python3-griffe,
 python3-pytest,
 @,
Restrictions: allow-stderr

## mkdocstrings-python-handlers 1.9.2

=== debian/changelog ===
mkdocstrings-python-handlers (1.9.2-1) unstable; urgency=medium

  * [87691d7] New upstream version 1.9.2
  * [0aca24d] d/control: Bump version B-D on mkdocstrings
  * [2317e68] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Apr 2024 08:31:04 +0200

mkdocstrings-python-handlers (1.9.0-1) unstable; urgency=medium

  * [90b7f71] New upstream version 1.9.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Mar 2024 15:54:19 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
 Build-Depends-Indep:
  mkdocs-material <!nocheck>,
- mkdocstrings (>> 0.19.0-1) <!nocheck>,
+ mkdocstrings (>> 0.24.2) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-griffe (>> 0.38) <!nocheck>,
  python3-pdm-backend,

## mkdocstrings-python-handlers 1.10.5

=== debian/changelog ===
mkdocstrings-python-handlers (1.10.5-1) unstable; urgency=medium

  * [592dde1] New upstream version 1.10.5
  * [7337024] d/control: Add myself to Uploaders
  * [7dd1928] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sat, 22 Jun 2024 19:46:44 +0530

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
+ Kathara Sasikumar <katharasasikumar007@gmail.com>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -16,7 +17,7 @@
  python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers.git
 Homepage: https://github.com/mkdocstrings/python

## mkdocstrings-python-handlers 1.11.1

=== debian/changelog ===
mkdocstrings-python-handlers (1.11.1-2) unstable; urgency=medium

  * [4bedf81] d/control: Set a dependency on mkdocs-autorefs >= 1.2.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 16 Sep 2024 21:51:24 +0200

mkdocstrings-python-handlers (1.11.1-1) unstable; urgency=medium

  * [5ccc1a9] New upstream version 1.11.1
  * [839852e] d/control: Adjust required versions in B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Sep 2024 10:03:45 +0200

mkdocstrings-python-handlers (1.10.8-1) unstable; urgency=medium

  [ Kathara Sasikumar ]
  * [d64b840] New upstream version 1.10.8

  [ Carsten Schoenert ]
  * [a3feb5c] d/control: Adjust required versions in B-D
  * [fecafe6] d/control: Drop dep on mkdocstrings for binary package
  * [6308748] d/t/control: Drop non needed packages

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Aug 2024 20:22:08 +0200

## mkdocstrings-python-handlers 1.12.2

=== debian/changelog ===
mkdocstrings-python-handlers (1.12.2-1) unstable; urgency=medium

  * [a22033f] New upstream version 1.12.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 13 Nov 2024 07:58:24 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  python3-all,
 Build-Depends-Indep:
  mkdocs-material <!nocheck>,
- mkdocstrings (>> 0.24.2) <!nocheck>,
+ mkdocstrings (>> 0.26) <!nocheck>,
  pybuild-plugin-pyproject,
- python3-griffe (>> 0.38) <!nocheck>,
+ python3-griffe (>> 0.49) <!nocheck>,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
@@ -27,7 +27,7 @@
 Conflicts:
  mkdocstrings-python-legacy,
 Depends:
- mkdocstrings (>= 0.19),
+ mkdocs-autorefs (>= 1.2.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Python handler for mkdocstrings

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs-material,
 python3-all,
 python3-pytest,
 @,
Restrictions: allow-stderr

## mkdocstrings-python-handlers 1.13.0

=== debian/changelog ===
mkdocstrings-python-handlers (1.13.0-1) unstable; urgency=medium

  * [8903923] New upstream version 1.13.0
  * [58f0b8c] d/control: Add new B-D for test suite
  * [20185d7] d/rules: Add variable PYBUILD_TEST_ARGS
  * [34dd9e7] autopkgtest: Also exclude test_format_code() here
  * [1c19097] autopkgtest: Add new needed packages for tests
  * [e53acc7] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Jan 2025 09:17:25 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,9 @@
  mkdocs-material <!nocheck>,
  mkdocstrings (>> 0.26) <!nocheck>,
  pybuild-plugin-pyproject,
+ python3-bs4 <!nocheck>,
  python3-griffe (>> 0.49) <!nocheck>,
+ python3-inline-snapshot <!nocheck>,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs-material,
 python3-all,
 python3-bs4,
 python3-pytest,
 python3-inline-snapshot,
 @,
Restrictions: allow-stderr

## mkdocstrings-python-handlers 1.16.2

=== debian/changelog ===
mkdocstrings-python-handlers (1.16.2-1) unstable; urgency=medium

  * [a02b9de] New upstream version 1.16.2
  * [a835e77] d/control: Add some version requirements on {B-,}D
  * [c5f75ee] d/control: Add temporary B-D on mkdocs-get-deps
  * [665cb9c] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [f379468] autopkgtest: Add here too temporary test dep

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Mar 2025 09:25:55 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
  dh-sequence-python3,
  python3-all,
 Build-Depends-Indep:
+ mkdocs-get-deps <!nocheck>,
  mkdocs-material <!nocheck>,
- mkdocstrings (>> 0.26) <!nocheck>,
+ mkdocstrings (>= 0.28.2) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-bs4 <!nocheck>,
  python3-griffe (>> 0.49) <!nocheck>,
@@ -19,7 +20,7 @@
  python3-pdm-backend,
  python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers.git
 Homepage: https://github.com/mkdocstrings/python
@@ -29,7 +30,7 @@
 Conflicts:
  mkdocstrings-python-legacy,
 Depends:
- mkdocs-autorefs (>= 1.2.0),
+ mkdocs-autorefs (>= 1.4.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Python handler for mkdocstrings

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml
 export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python*/dist-packages/mkdocstrings*.dist-info/licenses
+export PYBUILD_TEST_ARGS=\
+ -k 'not test_format_code'
 export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

## mkdocstrings-python-handlers 1.16.5

=== debian/changelog ===
mkdocstrings-python-handlers (1.16.5-1) unstable; urgency=medium

  * [7ad24de] d/rules: Also clean out .mypy_cache folder on dh_clean
  * [d743238] New upstream version 1.16.5
  * [406c238] d/control: Bump B-D on mkdocstrings to 0.28.3
  * [c714997] d/control: Add binary dep on mkdocstrings >= 0.28.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 18 Mar 2025 12:45:22 +0200

## mkdocstrings-python-handlers 1.16.7

=== debian/changelog ===
mkdocstrings-python-handlers (1.16.7-1) unstable; urgency=medium

  * [09cb9d7] New upstream version 1.16.7

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Mar 2025 11:43:41 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Build-Depends-Indep:
  mkdocs-get-deps <!nocheck>,
  mkdocs-material <!nocheck>,
- mkdocstrings (>= 0.28.2) <!nocheck>,
+ mkdocstrings (>= 0.28.3) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-bs4 <!nocheck>,
  python3-griffe (>> 0.49) <!nocheck>,
@@ -31,6 +31,7 @@
  mkdocstrings-python-legacy,
 Depends:
  mkdocs-autorefs (>= 1.4.0),
+ mkdocstrings (>= 0.28.3),
  ${misc:Depends},
  ${python3:Depends},
 Description: Python handler for mkdocstrings

## mkdocstrings-python-handlers 1.16.10

=== debian/changelog ===
mkdocstrings-python-handlers (1.16.10-1) unstable; urgency=medium

  * [5307c07] New upstream version 1.16.10
  * [924117b] d/control: Bump dep on mkdocstrings to >= 0.29
  * [4dfb818] d/control: Bump dep on python3-griffe >> 1.6.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 10 Apr 2025 17:06:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Build-Depends-Indep:
  mkdocs-get-deps <!nocheck>,
  mkdocs-material <!nocheck>,
- mkdocstrings (>= 0.28.3) <!nocheck>,
+ mkdocstrings (>= 0.29) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-bs4 <!nocheck>,
- python3-griffe (>> 0.49) <!nocheck>,
+ python3-griffe (>> 1.6.2) <!nocheck>,
  python3-inline-snapshot <!nocheck>,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
@@ -31,7 +31,7 @@
  mkdocstrings-python-legacy,
 Depends:
  mkdocs-autorefs (>= 1.4.0),
- mkdocstrings (>= 0.28.3),
+ mkdocstrings (>= 0.29),
  ${misc:Depends},
  ${python3:Depends},
 Description: Python handler for mkdocstrings

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests:
  upstream-tests
 Depends:
+ mkdocs-get-deps,
  mkdocs-material,
  python3-all,
  python3-bs4,

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/mkdocstrings/python.git \

## mkdocstrings-python-handlers 1.18.2

=== debian/changelog ===
mkdocstrings-python-handlers (1.18.2-1) unstable; urgency=medium

  * [afdee94] d/watch: Convert to version 5
  * [c6d6e4b] New upstream version 1.18.2
  * [15948b6] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [bd3700b] d/control: Bump dep on mkdocstrings to >= 0.30
  * [13213fb] d/control: Bump dep on python3-griffe >> 1.13
  * [e4c4ab5] d/control: Bump dep on python3-inline-snapshot >> 0.25
  * [f2a72f6] autupkgtest: Bump dep on python3-inline-snapshot >> 0.25

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 23 Sep 2025 16:18:17 +0200

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,13 @@
 Build-Depends-Indep:
  mkdocs-get-deps <!nocheck>,
  mkdocs-material <!nocheck>,
- mkdocstrings (>= 0.29) <!nocheck>,
+ mkdocstrings (>= 0.30) <!nocheck>,
  pybuild-plugin-pyproject,
  python3-bs4 <!nocheck>,
- python3-griffe (>> 1.6.2) <!nocheck>,
- python3-inline-snapshot <!nocheck>,
+ python3-griffe (>> 1.13) <!nocheck>,
+ python3-inline-snapshot (>> 0.25) <!nocheck>,
  python3-pdm-backend,
  python3-pytest <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings-python-handlers.git
@@ -31,7 +30,7 @@
  mkdocstrings-python-legacy,
 Depends:
  mkdocs-autorefs (>= 1.4.0),
- mkdocstrings (>= 0.29),
+ mkdocstrings (>= 0.30),
  ${misc:Depends},
  ${python3:Depends},
 Description: Python handler for mkdocstrings

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf .pdm-build
+	rm -rf .mypy_cache .pdm-build

=== debian/tests/control ===
--- 
+++ 
@@ -6,6 +6,6 @@
  python3-all,
  python3-bs4,
  python3-pytest,
- python3-inline-snapshot,
+ python3-inline-snapshot (>> 0.25),
  @,
 Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/mkdocstrings/python.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git

## mkdocstrings-python-handlers 1.19.0

=== debian/changelog ===
mkdocstrings-python-handlers (1.19.0-1) unstable; urgency=medium

  * [a69a333] New upstream version 1.19.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 17 Nov 2025 16:29:33 +0200

## mkdocstrings-python-handlers 2.0.1

=== debian/changelog ===
mkdocstrings-python-handlers (2.0.1-1) unstable; urgency=medium

  * [3975969] New upstream version 2.0.1
  * [f79e057] d/salsa-ci.yml: Adding Salsa-CI config file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 08 Dec 2025 17:41:00 +0200
